Package com.io7m.smfj.processing.api

## Class SMFAttributeArrayIntegerUnsigned3

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFAttributeArrayIntegerUnsigned3

- All Implemented Interfaces:
    `SMFAttributeArrayIntegerUnsigned3Type`, `SMFAttributeArrayType`

      public final class SMFAttributeArrayIntegerUnsigned3
      extends java.lang.Object
      implements SMFAttributeArrayIntegerUnsigned3Type

  The type of 3-element unsigned integer arrays.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SMFAttributeArrayIntegerUnsigned3.Builder` | Builds instances of type `SMFAttributeArrayIntegerUnsigned3`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SMFAttributeArrayIntegerUnsigned3.Builder` | `builder()` | Creates a builder for `SMFAttributeArrayIntegerUnsigned3`.
    `static SMFAttributeArrayIntegerUnsigned3` | `copyOf​(SMFAttributeArrayIntegerUnsigned3Type instance)` | Creates an immutable copy of a `SMFAttributeArrayIntegerUnsigned3Type` value.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `SMFAttributeArrayIntegerUnsigned3` that have equal attribute values.
    `int` | `hashCode()` | Computes a hash code from attributes: `values`.
    `static SMFAttributeArrayIntegerUnsigned3` | `of​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector3L> values)` | Construct a new immutable `SMFAttributeArrayIntegerUnsigned3` instance.
    `static SMFAttributeArrayIntegerUnsigned3` | `of​(java.util.List<com.io7m.jtensors.core.unparameterized.vectors.Vector3L> values)` | Construct a new immutable `SMFAttributeArrayIntegerUnsigned3` instance.
    `java.lang.String` | `toString()` | Prints the immutable value `SMFAttributeArrayIntegerUnsigned3` with attribute values.
    `java.util.List<com.io7m.jtensors.core.unparameterized.vectors.Vector3L>` | `values()` |
    `SMFAttributeArrayIntegerUnsigned3` | `withValues​(com.io7m.jtensors.core.unparameterized.vectors.Vector3L... elements)` | Copy the current immutable object with elements that replace the content of `values`.
    `SMFAttributeArrayIntegerUnsigned3` | `withValues​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector3L> elements)` | Copy the current immutable object with elements that replace the content of `values`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.smfj.processing.api.SMFAttributeArrayIntegerUnsigned3Type

      `matchArray, size`

- - ### Method Detail

    - #### values

          public java.util.List<com.io7m.jtensors.core.unparameterized.vectors.Vector3L> values()

      Specified by:
        `values` in interface `SMFAttributeArrayIntegerUnsigned3Type`
      Returns:
        The array values

    - #### withValues

          public final SMFAttributeArrayIntegerUnsigned3 withValues​(com.io7m.jtensors.core.unparameterized.vectors.Vector3L... elements)

      Copy the current immutable object with elements that replace the content of `values`.
      Parameters:
        `elements` - The elements to set
      Returns:
        A modified copy of `this` object

    - #### withValues

          public final SMFAttributeArrayIntegerUnsigned3 withValues​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector3L> elements)

      Copy the current immutable object with elements that replace the content of `values`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `elements` - An iterable of values elements to set
      Returns:
        A modified copy of `this` object

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `SMFAttributeArrayIntegerUnsigned3` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `values`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString()

      Prints the immutable value `SMFAttributeArrayIntegerUnsigned3` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static SMFAttributeArrayIntegerUnsigned3 of​(java.util.List<com.io7m.jtensors.core.unparameterized.vectors.Vector3L> values)

      Construct a new immutable `SMFAttributeArrayIntegerUnsigned3` instance.
      Parameters:
        `values` - The value for the `values` attribute
      Returns:
        An immutable SMFAttributeArrayIntegerUnsigned3 instance

    - #### of

          public static SMFAttributeArrayIntegerUnsigned3 of​(java.lang.Iterable<? extends com.io7m.jtensors.core.unparameterized.vectors.Vector3L> values)

      Construct a new immutable `SMFAttributeArrayIntegerUnsigned3` instance.
      Parameters:
        `values` - The value for the `values` attribute
      Returns:
        An immutable SMFAttributeArrayIntegerUnsigned3 instance

    - #### copyOf

          public static SMFAttributeArrayIntegerUnsigned3 copyOf​(SMFAttributeArrayIntegerUnsigned3Type instance)

      Creates an immutable copy of a `SMFAttributeArrayIntegerUnsigned3Type` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable SMFAttributeArrayIntegerUnsigned3 instance

    - #### builder

          public static SMFAttributeArrayIntegerUnsigned3.Builder builder()

      Creates a builder for `SMFAttributeArrayIntegerUnsigned3`.

           SMFAttributeArrayIntegerUnsigned3.builder()
              .addValues|addAllValues(com.io7m.jtensors.core.unparameterized.vectors.Vector3L) // values elements
              .build();

      Returns:
        A new SMFAttributeArrayIntegerUnsigned3 builder